package com.platform.controller;

import java.util.List;
import java.util.Map;

import com.platform.annotation.CanUserUpdateRecord;
import com.platform.entity.Result;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.platform.entity.GoodsAttributeEntity;
import com.platform.service.GoodsAttributeService;
import com.platform.utils.PageUtils;
import com.platform.utils.Query;



/**
 * 
 * 
 * @author lipengjun
 * @email 939961241@qq.com
 * @date 2017-08-13 10:41:08
 */
@RestController
@RequestMapping("goodsattribute")
public class GoodsAttributeController {
	@Autowired
	private GoodsAttributeService goodsAttributeService;
	
	/**
	 * 列表
	 */
	@RequestMapping("/list")

	public Result list(@RequestBody Map<String, Object> params){
		//查询列表数据
        Query query = new Query(params);

		List<GoodsAttributeEntity> goodsAttributeList = goodsAttributeService.queryList(query);
		int total = goodsAttributeService.queryTotal(query);
		
		PageUtils pageUtil = new PageUtils(goodsAttributeList, total, query.getLimit(), query.getPage());
		
		return Result.success(pageUtil);
	}
	
	
	/**
	 * 信息
	 */
	@RequestMapping("/info/{id}")

	public Result info(@PathVariable("id") Integer id){
		GoodsAttributeEntity goodsAttribute = goodsAttributeService.queryObject(id);
		
		return Result.success( goodsAttribute);
	}
	
	/**
	 * 保存
	 */
	@CanUserUpdateRecord
	@RequestMapping("/save")

	public Result save(@RequestBody GoodsAttributeEntity goodsAttribute){
		goodsAttributeService.save(goodsAttribute);
		
		return Result.success();
	}
	
	/**
	 * 修改
	 */
	@CanUserUpdateRecord
	@RequestMapping("/update")

	public Result update(@RequestBody GoodsAttributeEntity goodsAttribute){
		goodsAttributeService.update(goodsAttribute);
		
		return Result.success();
	}
	
	/**
	 * 删除
	 */
	@CanUserUpdateRecord
	@RequestMapping("/delete")

	public Result delete(@RequestBody Integer[] ids){
		goodsAttributeService.deleteBatch(ids);
		
		return Result.success();
	}
	
}
